<form
  class="login-container"
  [formGroup]="form"
  (ngSubmit)="onSubmit()"
>
  <div class="card grey lighten-3 login-card">
    <div class="card-content">
      <span class="card-title">Sign Up</span>
      <div class="input-field col s12">
        <input
          formControlName="email"
          id="email"
          type="email"
          [ngClass]="{'invalid': form.get('email').invalid && form.get('email').touched}"
        >
        <label for="email">Email</label>
        <span
          class="helper-text red-text"
          *ngIf="form.get('email').invalid && form.get('email').touched"
        >
          <span *ngIf="form.get('email').errors['required']">Email is required</span>
          <span *ngIf="form.get('email').errors['email']">Invalid email</span>
        </span>
      </div>
      <div class="input-field col s12">
        <input
          formControlName="password"
          id="password"
          type="password"
          [ngClass]="{'invalid': form.get('password').invalid && form.get('password').touched}"
        >
        <label for="password">Password</label>
        <span
          class="helper-text red-text"
          *ngIf="form.get('password').invalid && form.get('password').touched"
        >
          Password is required and should use more that 6 symbols
        </span>
      </div>
    </div>
    <div class="card-action">
      <button
        type="submit"
        class="waves-effect waves-light btn"
        [disabled]="form.invalid || form.disabled"
      >
        Sign Up
      </button>
    </div>
  </div>
</form>
